# RNAseqDownstream2report-FAQ





## 关于conda配置的问题？

修改bashrc文件，并激活

```bash
vi .bashrc 
#添加：export PATH=${PATH}:/opt/local/miniconda3/bin
source ~/.bashrc
```

![](https://ws3.sinaimg.cn/large/006tNc79ly1g2yn9p39ecj30ws0aa785.jpg)
.bashrc文件修改样式参考



## 如何激活choppy软件以使用choppy 报告系统？

使用 source active进行

```shell
#注意您使用的服务器的choppy版本号
source activate choppy-0.3.5
```



## PGx的服务器如何联网？

PGx服务器所在的复旦大学有线网络每天都会断网，需要每天联网。

联网方法：以10.157.72.53服务器

```shell
bash /home/softwares/net.sh
```

如果不确定服务器是否联网了，可以使用 ``` ping baidu.com ```来确认。



## 如何使用choppy在阿里云查看ballgown/StringTie数据并下载？

请参考

《[使用Choppy进行半自动化进行RNA-seq质控分析](http://choppy.3steps.cn/go-choppy/choppy-docs/issues/2)》



```shell
choppy listfiles -r oss://choppy-cromwell-result/test-choppy/Beiruicleandata_rnaseq_190508_lizhihui/|grep gene.abundance.txt >stringtie_outputfile.txt
cat stringtie_outputfile.txt |awk '{print "choppy download " $0}' >download_stringtie_outputfile.txt 
bash download_stringtie_outputfile.txt 
```

结果存储位置：

例如：

oss://choppy-cromwell-result/test-choppy/Beiruicleandata_rnaseq_190508_lizhihui/ffe961ee-bbdb-48a4-adf0-5276a5e92147/call-stringtie/D6-2_1P.gene.abundance.txt

存储位置在

./test-choppy/Beiruicleandata_rnaseq_190508_lizhihui/ffe961ee-bbdb-48a4-adf0-5276a5e92147/call-stringtie/D6-2_1P.gene.abundance.txt



注：阿里云下载需收费：

计价：

00:00-08:00（闲时）：0.125元/GB
8:00-24:00（忙时）：0.25元/GB



## 为什么我choppy的报告index.md中代码无法调用choppy report插件？

调用choppy report插件的代码请勿使用代码块模式。